petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscObjectView

Views any PetscObject, regardless of the type.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscObjectView(PetscObject obj,PetscViewer viewer)

Collective on PetscObject

### Input Parameters

| obj | - any PETSc object, for example a Vec, Mat or KSP. This must be cast with a (PetscObject), for example, PetscObjectView((PetscObject)mat,viewer);
| viewer | - any PETSc viewer

Level:intermediate
Location:src/sys/objects/destroy.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages